%define _prefix /usr



Summary: The Open Vulnerability Assessment (OpenVAS) CLI
Name:    openvas-cli
Version: 1.1.4
Release: 2.art
Source0: %{name}-%{version}.tar.gz
License: GNU GPLv2
URL: http://www.openvas.org
Group: System Environment/Libraries
Vendor: OpenVAS Development Team, http://www.openvas.org
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
AutoReqProv: no
AutoReq: 0

BuildRequires: cmake
BuildRequires: openvas-libraries, openvas-libraries-devel
Requires: openvas-libraries
BuildRequires: libgcrypt-devel gpgme gpgme-devel
 
%if 0%{?fedora} >= 15
BuildRequires: libassuan libassuan-devel
%endif


%if 0%{?el5}%{?fc6}%{?fc7}
BuildRequires:  openvas-glib2-devel openvas-glib2
Requires: openvas-glib2
BuildRequires: e2fsprogs e2fsprogs-devel
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0,
%endif



%if 0%{?el4}0%{?el5}%{?fc6}
BuildRequires: %{_includedir}/pcap.h
BuildRequires: compat-gnutls2, compat-gnutls2-devel
Requires: compat-gnutls2
%else
BuildRequires: libpcap-devel gnutls-devel
%endif


%description
The module OpenVAS-CLI collects command line tools
to handle with the OpenVAS services via the respective
protocols.



%prep
%setup -b 0 -n %{name}-%{version}

%build

%if 0%{?el5}%{?fc6}%{?fc7}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/openvas/lib/ -L/usr/openvas/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib -I/usr/openvas/include"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/:/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %ifarch x86_64
    export GLIB_LIBS=/usr/openvas/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/openvas/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
  %else
    export GLIB_LIBS=/usr/openvas/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/openvas/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el4}%{?el5}
export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig:/usr/lib/pkgconfig:/usr/openvas/lib/pkgconfig/:/usr/openvas/lib64/pkgconfig/
export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
%endif



cmake -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DSYSCONFDIR=%{_sysconfdir} \
        -DLOCALSTATEDIR=%{_localstatedir}


%if 0%{?el4}0%{?el5}
perl -p -i -e "s[^include= ][include= -I/usr/gnutls2/include -L/usr/gnutls2/lib ]" openvas.tmpl
%endif


%{__make}  %{?_smp_mflags}


%install

mkdir -p %{buildroot}/usr/bin
install -m 0755 omp/omp %{buildroot}/usr/bin/omp


%post
if [ ! -f /usr/bin/openvas-cli ]; then
  ln -sf /usr/bin/omp /usr/bin/openvas-cli
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/omp


%changelog
* Thu May 10 2012 Scott R. Shinn <scott@atomicorp.com> - 1.1.4-1
- Update to 1.1.4

* Fri Nov 4 2011 Scott R. Shinn <scott@atomicorp.com> - 1.1.3-1
- Update to 1.1.3

* Fri Apr 1 2011 Scott R. Shinn <scott@atomicorp.com> - 1.1.2-2
- Added a symlink to openvas-cli

* Fri Feb 22 2011 Scott R. Shinn <scott@atomicorp.com> - 1.1.2-1
- Upate to 1.1.2

* Fri Feb 18 2011 Scott R. Shinn <scott@atomicorp.com> - 1.1.1-1
- Upate to 1.1.1

* Thu Dec 30 2010 Scott R. Shinn <scott@atomicorp.com> - 1.1.0-1
- Update to 1.1.0

* Tue Aug 31 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-1
- Update to 1.0.0

* Wed Apr 28 2010 Scott R. Shinn <scott@atomicorp.com> - 0.1.0-1
- initial build for openvas-cli 0.1.0


